#!/bin/sh
#
#
# GOfax: cron_Rcleanup.sh - script to delete old files 
#
# Author: Lars Scheiter <lars.scheiter@GONICUS.de>
#
# Copyright (C) 2002 GONICUS GmbH
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#    USA
#
# Contact information: GONICUS GmbH
#                      Moehnestrasse 11-17
#                      D-59755 Arnsberg
#                      Germany
#                      tel: ++49 2932 916 0
#                      fax: ++49 2932 916 230
#                      email: info@GONICUS.de
#                      http://www.GONICUS.de
#
# Primary Sponsor: Stadtkrankenhaus Ruesselsheim
#                  August-Bebel-Str. 59
#                  D-65428 Rsselsheim
#                  Germany
#                  edv@stadtkrankenhaus-ruesselsheim.de
#                  http://www.stadtkrankenhaus-ruesselsheim.de
#
#

# source main config
. /var/spool/gofax/configs/gofax.config
. $DPREFIX/configs/cron.config

echo "Cron cleanup script for GOfax started:"

[ -e $BACKUP ] && echo "deleting old backup"
rm -f $BACKUP
rm -rf /tmp/cron_clean_backup
mkdir /tmp/cron_clean_backup
NUMFILES=0
for i in $DIRLIST; do
	cd $i
	mkdir -p /tmp/cron_clean_backup/$i
	ANUM=0
	echo -n "Cleaning up $i: "
	DELETE=`find . -type f -mtime +$MAXDAYS -maxdepth 1|sed -e "/seqf/d" -e "/xfer/d"`
	for  y in $DELETE; do
		NUMFILES=$[$[NUMFILES+1]]
		ANUM=$[$[ANUM+1]]
		mv -f $y /tmp/cron_clean_backup/$i/
		#cp $y /tmp/cron_clean_backup/$i/
	done
	echo "$ANUM Files deleted"
done
cd /tmp
if [ "$MKBACKUP" == "yes" ]; then
	tar czf $BACKUP cron_clean_backup
	echo "Backup created"
fi
rm -rf /tmp/cron_clean_backup
echo "Cleaned $NUMFILES Files"
echo "you will find a backup of these files in $BACKUP"
