#!/bin/sh
#
# GOfax: cron_mysqlclean.sh - cron script to remove old tiff files from the database
#
# Author: Lars Scheiter <lars.scheiter@GONICUS.de>
#
# Copyright (C) 2002 GONICUS GmbH
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#    USA
#
# Contact information: GONICUS GmbH
#                      Moehnestrasse 11-17
#                      D-59755 Arnsberg
#                      Germany
#                      tel: ++49 2932 916 0
#                      fax: ++49 2932 916 230
#                      email: info@GONICUS.de
#                      http://www.GONICUS.de
#
# Primary Sponsor: Stadtkrankenhaus Ruesselsheim
#                  August-Bebel-Str. 59
#                  D-65428 Rsselsheim
#                  Germany
#                  edv@stadtkrankenhaus-ruesselsheim.de
#                  http://www.stadtkrankenhaus-ruesselsheim.de
#

. /var/spool/gofax/configs/gofax.config
. $CONFIGDIR/mysqlog.config
# Check if the upload feature is enabled
[ "$UPLDENABLE" != "yes" ] && exit 0
STARTED="0"
DATE=`date +%s`
MAXDATE=`echo $DATE-$MAXDAYS*86400|bc`
SQLDATE="`date -d "1970-01-01 $MAXDATE sec" +"%Y-%m-%d %H:%M:%S"`"
echo "Will delete Logentries older than $SQLDATE"
DELETE=`$MYSQLCLNT -s $MYSQLHOST $MYSQLUNAME $MYSQLPASSW $MYSQLDB -e "select $MYSQTBLOG.id from $MYSQTBLOG,$MYSQLTBIN where queuing_time <'$SQLDATE'\
	AND $MYSQTBLOG.id=$MYSQLTBIN.id"`
for i in $DELETE; do
	echo "Purging entry with ID: $i"
	STARTED="1"
	$MYSQLCLNT $MYSQLHOST $MYSQLUNAME $MYSQLPASSW $MYSQLDB -e "delete from $MYSQLTBIN where id='$i'"
	if [ $? != "0" ]; then
		echo "Something went wrong, please check your setup."
		exit 1
	fi
done
[ "$STARTED" = "0" ] && echo "Nothing was deleted from the database"
