#!/usr/bin/perl -w
#
# GOfax: ldapgetpw.pl - simple perl script to retreive crypted passwords
#
# Author: Lars Scheiter <lars.scheiter@GONICUS.de>
#
# Copyright (C) 2002 GONICUS GmbH
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#    USA
#
# Contact information: GONICUS GmbH
#                      Moehnestrasse 11-17
#                      D-59755 Arnsberg
#                      Germany
#                      tel: ++49 2932 916 0
#                      fax: ++49 2932 916 230
#                      email: info@GONICUS.de
#                      http://www.GONICUS.de
#
# Primary Sponsor: Stadtkrankenhaus Ruesselsheim
#                  August-Bebel-Str. 59
#                  D-65428 Rsselsheim
#                  Germany
#                  edv@stadtkrankenhaus-ruesselsheim.de
#                  http://www.stadtkrankenhaus-ruesselsheim.de
#
#
# This perl script is intended to retreive crypted passwds out of an LDAP tree
# we need this to build a hylafax hosts.hfaxd through cron scripts
# 
use Net::LDAP;
use Net::LDAP::LDIF;
use strict;
my $ldaphost;
my $binddn;
my $binpasswd;
my $ldapbase;
my $objectclass;
my $len=@ARGV;

if ($len ne 5) {
        print "Usage: ldaphostname binddn bindpasword searchbase objectclass\n";
	exit 1;
}	
($ldaphost,$binddn,$binpasswd,$ldapbase,$objectclass)=@ARGV;

# connect to ldap
my $ldap = Net::LDAP->new($ldaphost) or die "$@";
$ldap->bind ( $binddn,
                password => $binpasswd
		);

# Search for my entries
my $myfilter = "objectclass=".$objectclass;
my $mesg = $ldap->search(
	base   => $ldapbase,
	scope  => 'sub',
	filter => $myfilter,
	attrs => [ 'userPassword' , 'uid' , 'uidNumber']
	);

# build password list
my $max = $mesg->count;
for(my $i = 0 ; $i < $max ; $i++) {
	my $entry = Net::LDAP::Entry->new;
	$entry = $mesg->entry($i);
	my $passwd = $entry->get_value("userPassword");
	my $uid = $entry->get_value("uid");
	my $unum = $entry->get_value("uidNumber");
	if ($passwd){
		$passwd =~ s/\{crypt\}//;
		print "$uid\@:";
		if ($unum){
			print "$unum\:";
		} else {
			print "60000\:";
		}
		print "$passwd\:\:\n";
	}
}
